import { debug } from "./debug.js";
import { callClientHandler } from "./call-client-handler.js";
export async function convert(options) {
    const log = debug(convert.name);
    const { rootLinkId, obj } = options;
    const result = await callClientHandler({
        deep: this,
        linkId: this.objectToLinksConverterPackage.parseItInsertHandler.idLocal(),
        args: [
            {
                rootLinkId,
                obj,
                deep: this,
            },
        ],
    });
    log({ result });
}
//# sourceMappingURL=convert.js.map